#
# spec file for package gipeda
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gipeda
Version:        0.2.0.1
Release:        6.15
Summary:        Git Performance Dashboard
License:        MIT
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-cassava-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-extra-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-gitlib-devel
BuildRequires:  ghc-gitlib-libgit2-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-scientific-devel
BuildRequires:  ghc-shake-devel
BuildRequires:  ghc-split-devel
BuildRequires:  ghc-tagged-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-vector-devel
BuildRequires:  ghc-yaml-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Gipeda is a a tool that presents data from your program’s benchmark suite (or
any other source), with nice tables and shiny graphs.

So it is up to you whether you have a polling shell script loop, a post-commit
hook or an elaborate jenkins setup. As long as the performance data ends up in
the `logs/` directory, gipeda is happy.

Gipeda produces static pages. In fact, the (single) html file and the
accompanying JavaScript code is completely static. Giepda just generates a
large number of json files. This has the advantage of easy deployment: Just put
gipeda in your webspace or copy the files to some static web hosting and you
are done. This puts very little load on your server, is cache-friendly and has
no security problems.

Do you want to see it live? Check out these:

* Demo page, visualizing fairly boring stuff about gipedia itself:
<http://nomeata.github.io/gipeda/>

* GHC’s gipeda installation: <https://perf.haskell.org/>.

%prep
%setup -q

%build
%ghc_bin_build

%install
%ghc_bin_install

%files
%defattr(-,root,root,-)
%doc LICENSE
%doc README.md
%{_bindir}/%{name}

%changelog
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.2.0.1 revision 0 with cabal2obs.
